summaryrefslogtreecommitdiff
path: root/git.zsh
diff options
context:
space:
mode:
authorRobby Russell <robby@planetargon.com>2009-08-31 13:54:50 -0700
committerRobby Russell <robby@planetargon.com>2009-08-31 13:54:50 -0700
commita26cb28de4d095d547d774a3b3258a76f17507c3 (patch)
treea670eb5c619376787d7c2ea146fcdbc3f3e29b44 /git.zsh
parent97cf1871ca1e6822200e0ae008cbbe4c24d88a4b (diff)
downloadzsh-a26cb28de4d095d547d774a3b3258a76f17507c3.tar.gz
zsh-a26cb28de4d095d547d774a3b3258a76f17507c3.tar.bz2
zsh-a26cb28de4d095d547d774a3b3258a76f17507c3.zip
Only calling git symbolic-ref HEAD when we are in a .git directory
Diffstat (limited to 'git.zsh')
-rw-r--r--git.zsh5
1 files changed, 2 insertions, 3 deletions
diff --git a/git.zsh b/git.zsh
index b9a86173f..567c2faa2 100644
--- a/git.zsh
+++ b/git.zsh
@@ -1,9 +1,8 @@
# get the name of the branch we are on
function git_prompt_info() {
- ref=$(git symbolic-ref HEAD 2> /dev/null) || return
- branch=${ref#refs/heads/}
-
if [[ -d .git ]]; then
+ ref=$(git symbolic-ref HEAD 2> /dev/null) || return
+ branch=${ref#refs/heads/}
CURRENT_BRANCH="%{$fg[red]%}git:(%{$fg[green]${branch}%{$fg[red])"
else
CURRENT_BRANCH=''